Package ru.bitel.bgbilling.modules.smarthouse.common.service

# Interface ForpostGroupService

public interface ForpostGroupService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `addForpostGroup(ForpostGroup forpostGroup)`
  `void`
  `deleteForpostAccountGroups(int accountId)`
  `void`
  `deleteForpostGroup(int id)`
  `void`
  `doSync()`
  `void`
  `doSyncForpostGroups(int accountId)`
  `ForpostGroup`
  `getDefaultForpostGroup()`
  `SearchResult<ForpostGroup>`
  `searchForpostAccountGroups(int accountId)`
  `SearchResult<ForpostTMCAO<ForpostGroup>>`
  `searchForpostGroups(String[] sort, Page page)`
  `void`
  `updateForpostGroup(ForpostGroup forpostGroup)`
  `void`
  `updateForpostGroupParam(int forpostGroupId, String name, String value)`

- ## Method Details

  - ### searchForpostGroups

    SearchResult<ForpostTMCAO<ForpostGroup>> searchForpostGroups(String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### searchForpostAccountGroups

    SearchResult<ForpostGroup> searchForpostAccountGroups(int accountId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### doSync

    void doSync() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### doSyncForpostGroups

    void doSyncForpostGroups(int accountId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getDefaultForpostGroup

    ForpostGroup getDefaultForpostGroup() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### addForpostGroup

    int addForpostGroup(ForpostGroup forpostGroup) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateForpostGroup

    void updateForpostGroup(ForpostGroup forpostGroup) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateForpostGroupParam

    void updateForpostGroupParam(int forpostGroupId, String name, String value) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteForpostGroup

    void deleteForpostGroup(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteForpostAccountGroups

    void deleteForpostAccountGroups(int accountId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`